/*!
 * @file turret.h
*/


#ifndef _TURRET_H
#define _TURRET_H

#include "weapon.h"

class Turret : public Weapon
  {
  public:
    Turret (WeaponManager* weaponManager);
    virtual ~Turret ();

    virtual void activate();
    virtual void deactivate();

    virtual void fire();
    virtual void destroy();

    virtual void draw();

  private:
    PNode* objectComponent1;         //<! the gun is made of multiple parts, these PNodes represent their location and orientation

    int leftRight;   // this will become an enum
  };
#endif /* _TURRET_H */
